import { IPluginContext } from '@tarojs/service';
import { WebpackPluginOptions } from '@unocss/webpack';
import { UserConfigDefaults } from 'unocss';
import { PresetUnoOptions } from '@unocss/preset-uno';
import { AttributifyOptions } from '@unocss/preset-attributify';
import { TypographyOptions } from '@unocss/preset-typography';

interface RemToPxOptions {
    /**
       * 1rem = n rpx
       * @default 16
       */
    baseFontSize?: number;
    /**
     * is h5
     */
    isH5?: boolean;
}

interface UnocssPluginOptions {
    preset: {
        uno?: PresetUnoOptions;
        remToRpx?: RemToPxOptions;
        attributify?: AttributifyOptions;
        typography?: TypographyOptions;
    };
    options?: WebpackPluginOptions;
    defaults?: UserConfigDefaults;
}

declare const _default: (ctx: IPluginContext, unocssPluginOptions?: UnocssPluginOptions) => void;

export { _default as default };
